package main

import (
	"context"

	"git.faercol.me/monitoring/heartbeat-server/server"
	"github.com/sirupsen/logrus"
)

func main() {
	addr := "localhost:9000"
	logger := logrus.New()

	srv, err := server.New(addr, logger)
	if err != nil {
		logger.Fatalf("Failed to create HTTP server: %s", err.Error())
	}

	srv.Run(context.Background())
}
